package fr.openium.consentium.ui.screens.main

import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Spacer
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.height
import androidx.compose.material3.Button
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp

@Composable
fun MainScreen(
    onGoToConsentMaster: () -> Unit,
    onGoToConsentDetail: () -> Unit,
    modifier: Modifier = Modifier,
) {
    // View
    Column(
        modifier = modifier.fillMaxSize(),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ) {

        Button(
            onClick = onGoToConsentMaster,
        ) {
            Text(
                text = "Go to Consent Master"
            )
        }

        Spacer(modifier = Modifier.height(14.dp))

        Button(
            onClick = onGoToConsentDetail,
        ) {
            Text(
                text = "Go to Consent Detail"
            )
        }
    }
}