package fr.openium.consentium_ui.domain.adapter

import fr.openium.consentium_ui.data.remote.model.PurposeDTO
import fr.openium.consentium_ui.domain.model.PurposeData

internal fun PurposeDTO.toPurposeData() =
    PurposeData(
        identifier = id,
        isRequired = isRequired,
        choice = choice.toPurposeStatusData(),
        order = order,
        vendors = emptyList(),
        translations = translations.toPurposeTranslationDataList(),
    )

internal fun List<PurposeDTO>.toPurposeDataList() = map { it.toPurposeData() }