package fr.openium.consentium.data.remote

import fr.openium.consentium.data.remote.model.GetConsent
import fr.openium.consentium.data.remote.model.PatchConsent
import retrofit2.Response
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.Header
import retrofit2.http.POST


internal interface ConsentiumApi {

    @GET("consents")
    suspend fun getConsents(
        @Header("Authorization") token: String,
    ): Response<GetConsent.GetConsentPayloadDTO>

    @POST("consents")
    suspend fun setConsents(
        @Header("Authorization") token: String,
        @Body patchConsent: PatchConsent.PatchConsentPayloadDTO,
    ): Response<Unit>

}