package fr.openium.consentium.domain.useCase.di

import dagger.Binds
import dagger.Module
import dagger.hilt.InstallIn
import dagger.hilt.components.SingletonComponent
import fr.openium.consentium.domain.useCase.GetAuthTokenUseCase
import fr.openium.consentium.domain.useCase.GetAuthTokenUseCaseImpl
import fr.openium.consentium.domain.useCase.GetConsentiumUniqueInstallationIdUseCase
import fr.openium.consentium.domain.useCase.GetConsentiumUniqueInstallationIdUseCaseImpl

@Module
@InstallIn(SingletonComponent::class)
interface ConsentiumUseCaseModule {

    @Binds
    fun bindGetUniqueInstallationIdUseCase(
        getUniqueInstallationIdUseCaseImpl: GetConsentiumUniqueInstallationIdUseCaseImpl,
    ): GetConsentiumUniqueInstallationIdUseCase

    @Binds
    fun bindGetAuthTokenUseCase(
        getAuthTokenUseCaseImpl: GetAuthTokenUseCaseImpl,
    ): GetAuthTokenUseCase
}
